from flask import Blueprint, jsonify

healthz_bp = Blueprint('healthz', __name__, url_prefix='/healthz')

@healthz_bp.route('/ready')
def ready():
    """
    Health check endpoint for readiness probe
    """
    return jsonify({"status": "ok"})

@healthz_bp.route('/live')
def live():
    """
    Health check endpoint for liveness probe
    """
    return jsonify({"status": "ok"})